Index: trunk/lib/FlairCore/src/GeoCoordinate.cpp
===================================================================
--- trunk/lib/FlairCore/src/GeoCoordinate.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/GeoCoordinate.cpp	(revision 15)
@@ -20,60 +20,54 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-GeoCoordinate::GeoCoordinate(const Object* parent,string name,const GeoCoordinate *point,int n): io_data(parent,name,n)
-{
-    if(n>1) Warn("n>1 not supported\n");
-    CopyFrom(point);
+GeoCoordinate::GeoCoordinate(const Object *parent, string name,
+                             const GeoCoordinate *point, int n)
+    : io_data(parent, name, n) {
+  if (n > 1)
+    Warn("n>1 not supported\n");
+  CopyFrom(point);
 }
 
-GeoCoordinate::GeoCoordinate(const Object* parent,string name,double latitude,double longitude,double altitude,int n): io_data(parent,name,n)
-{
-    this->latitude=latitude;
-    this->longitude=longitude;
-    this->altitude=altitude;
+GeoCoordinate::GeoCoordinate(const Object *parent, string name, double latitude,
+                             double longitude, double altitude, int n)
+    : io_data(parent, name, n) {
+  this->latitude = latitude;
+  this->longitude = longitude;
+  this->altitude = altitude;
 }
 
-GeoCoordinate::~GeoCoordinate()
-{
+GeoCoordinate::~GeoCoordinate() {}
 
+void GeoCoordinate::CopyFrom(const GeoCoordinate *point) {
+  double latitude, longitude, altitude;
+  point->GetCoordinates(&latitude, &longitude, &altitude);
+  GetMutex();
+  this->latitude = latitude;
+  this->longitude = longitude;
+  this->altitude = altitude;
+  ReleaseMutex();
 }
 
-void GeoCoordinate::CopyFrom(const GeoCoordinate *point)
-{
-    double latitude,longitude,altitude;
-    point->GetCoordinates(&latitude,&longitude,&altitude);
-    GetMutex();
-    this->latitude=latitude;
-    this->longitude=longitude;
-    this->altitude=altitude;
-    ReleaseMutex();
+void GeoCoordinate::SetCoordinates(double latitude, double longitude,
+                                   double altitude) {
+  GetMutex();
+  this->latitude = latitude;
+  this->longitude = longitude;
+  this->altitude = altitude;
+  ReleaseMutex();
 }
 
-void GeoCoordinate::SetCoordinates(double latitude,double longitude,double altitude)
-{
-    GetMutex();
-    this->latitude=latitude;
-    this->longitude=longitude;
-    this->altitude=altitude;
-    ReleaseMutex();
+void GeoCoordinate::GetCoordinates(double *latitude, double *longitude,
+                                   double *altitude) const {
+  GetMutex();
+  *latitude = this->latitude;
+  *longitude = this->longitude;
+  *altitude = this->altitude;
+  ReleaseMutex();
 }
 
-void GeoCoordinate::GetCoordinates(double *latitude,double *longitude,double *altitude) const
-{
-    GetMutex();
-    *latitude=this->latitude;
-    *longitude=this->longitude;
-    *altitude=this->altitude;
-    ReleaseMutex();
-}
-
-void GeoCoordinate::CopyDatas(char* ptr) const
-{
-    Warn("a ecrire");
-}
+void GeoCoordinate::CopyDatas(char *ptr) const { Warn("a ecrire"); }
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/GeoCoordinate.h
===================================================================
--- trunk/lib/FlairCore/src/GeoCoordinate.h	(revision 14)
+++ trunk/lib/FlairCore/src/GeoCoordinate.h	(revision 15)
@@ -15,94 +15,99 @@
 #include <io_data.h>
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    /*! \class GeoCoordinate
-    *
-    * \brief Class defining a point by its lla coordinates
-    */
-    class GeoCoordinate: public io_data {
-        public:
-            class Type: public DataType {
-            public:
-                size_t GetSize() const {
-                    return sizeof(latitude)+sizeof(longitude)+sizeof(altitude);
-                }
-                std::string GetDescription() const {return "lla";}
-            };
+/*! \class GeoCoordinate
+*
+* \brief Class defining a point by its lla coordinates
+*/
+class GeoCoordinate : public io_data {
+public:
+  class Type : public DataType {
+  public:
+    size_t GetSize() const {
+      return sizeof(latitude) + sizeof(longitude) + sizeof(altitude);
+    }
+    std::string GetDescription() const { return "lla"; }
+  };
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct GeoCoordinate using values from another class.
-            *
-            * \param parent parent
-            * \param name name
-            * \param point class to copy
-            * \param n number of samples
-            */
-            GeoCoordinate(const Object* parent,std::string name,const GeoCoordinate *point,int n=1);
+  /*!
+  * \brief Constructor
+  *
+  * Construct GeoCoordinate using values from another class.
+  *
+  * \param parent parent
+  * \param name name
+  * \param point class to copy
+  * \param n number of samples
+  */
+  GeoCoordinate(const Object *parent, std::string name,
+                const GeoCoordinate *point, int n = 1);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct GeoCoordinate using specified values.
-            *
-            * \param parent parent
-            * \param name name
-            * \param latitude latitude
-            * \param longitude longitude
-            * \param altitude altitude
-            * \param n number of samples
-            */
-            GeoCoordinate(const Object* parent,std::string name,double latitude,double longitude,double altitude,int n=1);
+  /*!
+  * \brief Constructor
+  *
+  * Construct GeoCoordinate using specified values.
+  *
+  * \param parent parent
+  * \param name name
+  * \param latitude latitude
+  * \param longitude longitude
+  * \param altitude altitude
+  * \param n number of samples
+  */
+  GeoCoordinate(const Object *parent, std::string name, double latitude,
+                double longitude, double altitude, int n = 1);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~GeoCoordinate();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~GeoCoordinate();
 
-            /*!
-            * \brief Copy
-            *
-            * \param point class to copy
-            */
-            void CopyFrom(const GeoCoordinate *point);
+  /*!
+  * \brief Copy
+  *
+  * \param point class to copy
+  */
+  void CopyFrom(const GeoCoordinate *point);
 
-            /*!
-            * \brief Set coordinates
-            *
-            * \param latitude latitude
-            * \param longitude longitude
-            * \param altitude altitude
-            */
-            void SetCoordinates(double latitude,double longitude,double altitude);
+  /*!
+  * \brief Set coordinates
+  *
+  * \param latitude latitude
+  * \param longitude longitude
+  * \param altitude altitude
+  */
+  void SetCoordinates(double latitude, double longitude, double altitude);
 
-            /*!
-            * \brief Get coordinates
-            *
-            * \param latitude latitude
-            * \param longitude longitude
-            * \param altitude altitude
-            */
-            void GetCoordinates(double *latitude,double *longitude,double *altitude) const;
+  /*!
+  * \brief Get coordinates
+  *
+  * \param latitude latitude
+  * \param longitude longitude
+  * \param altitude altitude
+  */
+  void GetCoordinates(double *latitude, double *longitude,
+                      double *altitude) const;
 
-            Type const &GetDataType() const {return dataType;}
-        private:
-            /*!
-            * \brief Copy datas
-            *
-            * Reimplemented from io_data. \n
-            * See io_data::CopyDatas.
-            *
-            * \param dst destination buffer
-            */
-            void CopyDatas(char* ptr) const;
+  Type const &GetDataType() const { return dataType; }
 
-            double latitude;
-            double longitude;
-            double altitude;
-            Type dataType;
-    };
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *ptr) const;
+
+  double latitude;
+  double longitude;
+  double altitude;
+  Type dataType;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/GridLayout.cpp
===================================================================
--- trunk/lib/FlairCore/src/GridLayout.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/GridLayout.cpp	(revision 15)
@@ -20,22 +20,17 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-GridLayout::GridLayout(const LayoutPosition* position,string name): Layout(position->getLayout(),name,"GridLayout")
-{
-    SetVolatileXmlProp("row",position->Row());
-    SetVolatileXmlProp("col",position->Col());
-    SendXml();
+GridLayout::GridLayout(const LayoutPosition *position, string name)
+    : Layout(position->getLayout(), name, "GridLayout") {
+  SetVolatileXmlProp("row", position->Row());
+  SetVolatileXmlProp("col", position->Col());
+  SendXml();
 
-    delete position;
+  delete position;
 }
 
-GridLayout::~GridLayout()
-{
-
-}
+GridLayout::~GridLayout() {}
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/GridLayout.h
===================================================================
--- trunk/lib/FlairCore/src/GridLayout.h	(revision 14)
+++ trunk/lib/FlairCore/src/GridLayout.h	(revision 15)
@@ -16,39 +16,37 @@
 #include <Layout.h>
 
-namespace flair
-{
-namespace gui
-{
-    class LayoutPosition;
+namespace flair {
+namespace gui {
+class LayoutPosition;
 
-    /*! \class GridLayout
-    *
-    * \brief Class displaying a QGridLayout on the ground station
-    *
-    */
-    class GridLayout: public Layout
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QCheckBox at given position. \n
-            * The GridLayout will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param parent parent
-            * \param name name
+/*! \class GridLayout
+*
+* \brief Class displaying a QGridLayout on the ground station
+*
+*/
+class GridLayout : public Layout {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QCheckBox at given position. \n
+  * The GridLayout will automatically be child of position->getLayout() Layout.
+  After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param parent parent
+  * \param name name
 
-            */
-            GridLayout(const LayoutPosition* position,std::string name);
+  */
+  GridLayout(const LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~GridLayout();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~GridLayout();
 
-        private:
-    };
+private:
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/GroupBox.cpp
===================================================================
--- trunk/lib/FlairCore/src/GroupBox.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/GroupBox.cpp	(revision 15)
@@ -20,22 +20,17 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-GroupBox::GroupBox(const LayoutPosition* position,string name): Layout(position->getLayout(),name,"GroupBox")
-{
-    SetVolatileXmlProp("row",position->Row());
-    SetVolatileXmlProp("col",position->Col());
-    SendXml();
+GroupBox::GroupBox(const LayoutPosition *position, string name)
+    : Layout(position->getLayout(), name, "GroupBox") {
+  SetVolatileXmlProp("row", position->Row());
+  SetVolatileXmlProp("col", position->Col());
+  SendXml();
 
-    delete position;
+  delete position;
 }
 
-GroupBox::~GroupBox()
-{
-
-}
+GroupBox::~GroupBox() {}
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/GroupBox.h
===================================================================
--- trunk/lib/FlairCore/src/GroupBox.h	(revision 14)
+++ trunk/lib/FlairCore/src/GroupBox.h	(revision 15)
@@ -16,38 +16,36 @@
 #include <Layout.h>
 
-namespace flair
-{
-namespace gui
-{
-    class LayoutPosition;
+namespace flair {
+namespace gui {
+class LayoutPosition;
 
-    /*! \class GroupBox
-    *
-    * \brief Class displaying a QGroupBox on the ground station
-    *
-    */
-    class GroupBox: public Layout
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QGroupBox at given position. \n
-            * The GroupBox will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param position position
-            * \param name name
-            */
-            GroupBox(const LayoutPosition* position,std::string name);
+/*! \class GroupBox
+*
+* \brief Class displaying a QGroupBox on the ground station
+*
+*/
+class GroupBox : public Layout {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QGroupBox at given position. \n
+  * The GroupBox will automatically be child of position->getLayout() Layout.
+  *After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param position position
+  * \param name name
+  */
+  GroupBox(const LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~GroupBox();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~GroupBox();
 
-        private:
-    };
+private:
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/I2cPort.h
===================================================================
--- trunk/lib/FlairCore/src/I2cPort.h	(revision 14)
+++ trunk/lib/FlairCore/src/I2cPort.h	(revision 15)
@@ -17,84 +17,81 @@
 #include <stdint.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class I2cPort
-    *
-    * \brief Base class for i2c port
-    *
-    * This class has a Mutex which must be used to protect access to the port in case
-    * that more than one Thread is using it. Lock the Mutex before any communication (including SetSlave)
-    * and release it after communication.
-    */
-    class I2cPort: public Mutex
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an i2c port.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            I2cPort(const Object* parent,std::string name): Mutex(parent,name)
-            {}
+namespace flair {
+namespace core {
+/*! \class I2cPort
+*
+* \brief Base class for i2c port
+*
+* This class has a Mutex which must be used to protect access to the port in
+*case
+* that more than one Thread is using it. Lock the Mutex before any communication
+*(including SetSlave)
+* and release it after communication.
+*/
+class I2cPort : public Mutex {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an i2c port.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  I2cPort(const Object *parent, std::string name) : Mutex(parent, name) {}
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~I2cPort(){};
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~I2cPort(){};
 
-            /*!
-            * \brief Set slave's address
-            *
-            * This function need to be called before any communication.
-            *
-            * \param address slave's address
-            */
-            virtual int SetSlave(uint16_t address)=0;
+  /*!
+  * \brief Set slave's address
+  *
+  * This function need to be called before any communication.
+  *
+  * \param address slave's address
+  */
+  virtual int SetSlave(uint16_t address) = 0;
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            virtual ssize_t Write(const void *buf,size_t nbyte)=0;
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  virtual ssize_t Write(const void *buf, size_t nbyte) = 0;
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            virtual ssize_t Read(void *buf,size_t nbyte)=0;
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  virtual ssize_t Read(void *buf, size_t nbyte) = 0;
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            virtual void SetRxTimeout(Time timeout_ns)=0;
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  virtual void SetRxTimeout(Time timeout_ns) = 0;
 
-            /*!
-            * \brief Set TX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            virtual void SetTxTimeout(Time timeout_ns)=0;
-
-    };
+  /*!
+  * \brief Set TX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  virtual void SetTxTimeout(Time timeout_ns) = 0;
+};
 } // end namespace core
 } // end namespace framework
Index: trunk/lib/FlairCore/src/IODataElement.h
===================================================================
--- trunk/lib/FlairCore/src/IODataElement.h	(revision 14)
+++ trunk/lib/FlairCore/src/IODataElement.h	(revision 15)
@@ -16,46 +16,42 @@
 #include "io_data.h"
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    class DataType;
+class DataType;
 
-    /*! \class IODataElement
-    *
-    * \brief Abstract class for accessing an element of an io_data.
-    */
-    class IODataElement: public Object
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an IODataElement. \n
-            *
-            */
-            IODataElement(const io_data* parent,std::string name): Object(parent,name)
-            {
-                this->parent=parent;
-            }
-            size_t Size() const
-            {
-                return size;
-            }
+/*! \class IODataElement
+*
+* \brief Abstract class for accessing an element of an io_data.
+*/
+class IODataElement : public Object {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an IODataElement. \n
+  *
+  */
+  IODataElement(const io_data *parent, std::string name)
+      : Object(parent, name) {
+    this->parent = parent;
+  }
+  size_t Size() const { return size; }
 
-            virtual void CopyData(char* dst) const=0;
+  virtual void CopyData(char *dst) const = 0;
 
-            /*!
-            * \brief DataType
-            *
-            * \return type of data
-            */
-            virtual DataType const &GetDataType(void) const=0;
+  /*!
+  * \brief DataType
+  *
+  * \return type of data
+  */
+  virtual DataType const &GetDataType(void) const = 0;
 
-        protected:
-            size_t size;
+protected:
+  size_t size;
 
-        private:
-            const io_data* parent;
-
-    };
+private:
+  const io_data *parent;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/IODevice.cpp
===================================================================
--- trunk/lib/FlairCore/src/IODevice.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/IODevice.cpp	(revision 15)
@@ -24,61 +24,45 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-IODevice::IODevice(const Object* parent,string name): Object(parent,name,"IODevice")
-{
-    pimpl_=new IODevice_impl(this);
+IODevice::IODevice(const Object *parent, string name)
+    : Object(parent, name, "IODevice") {
+  pimpl_ = new IODevice_impl(this);
 }
 
-IODevice::~IODevice()
-{
-    delete pimpl_;
+IODevice::~IODevice() { delete pimpl_; }
+
+void IODevice::AddDeviceToLog(const IODevice *device) {
+  pimpl_->AddDeviceToLog(device);
 }
 
-void IODevice::AddDeviceToLog(const IODevice* device)
-{
-    pimpl_->AddDeviceToLog(device);
+void IODevice::OutputToShMem(bool enabled) { pimpl_->OutputToShMem(enabled); }
+
+void IODevice::ProcessUpdate(io_data *data) {
+  if (data != NULL)
+    data->pimpl_->SetConsistent(true);
+
+  for (size_t i = 0; i < TypeChilds()->size(); i++) {
+    ((IODevice *)TypeChilds()->at(i))->UpdateFrom(data);
+  }
+
+  if (data != NULL) {
+    if (getFrameworkManager()->IsLogging() == true)
+      pimpl_->WriteLog(data->DataTime());
+
+    data->pimpl_->Circle();
+  }
+
+  pimpl_->WriteToShMem();
+
+  pimpl_->ResumeThread();
 }
 
-void IODevice::OutputToShMem(bool enabled) {
-    pimpl_->OutputToShMem(enabled);
-}
+void IODevice::AddDataToLog(const io_data *data) { pimpl_->AddDataToLog(data); }
 
-void IODevice::ProcessUpdate(io_data* data)
-{
-    if(data!=NULL) data->pimpl_->SetConsistent(true);
+DataType const &IODevice::GetInputDataType() const { return dummyType; }
 
-    for(size_t i=0;i<TypeChilds()->size();i++)
-    {
-        ((IODevice*)TypeChilds()->at(i))->UpdateFrom(data);
-    }
-
-    if(data!=NULL)
-    {
-        if(getFrameworkManager()->IsLogging()==true) pimpl_->WriteLog(data->DataTime());
-
-        data->pimpl_->Circle();
-    }
-
-    pimpl_->WriteToShMem();
-
-    pimpl_->ResumeThread();
-}
-
-void IODevice::AddDataToLog(const io_data* data)
-{
-    pimpl_->AddDataToLog(data);
-}
-
-DataType const &IODevice::GetInputDataType() const {
-    return dummyType;
-}
-
-DataType const &IODevice::GetOutputDataType() const {
-    return dummyType;
-}
+DataType const &IODevice::GetOutputDataType() const { return dummyType; }
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/IODevice.h
===================================================================
--- trunk/lib/FlairCore/src/IODevice.h	(revision 14)
+++ trunk/lib/FlairCore/src/IODevice.h	(revision 15)
@@ -20,120 +20,131 @@
 class FrameworkManager_impl;
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    class io_data;
-    class DataType;
+class io_data;
+class DataType;
 
-    /*! \class IODevice
-    *
-    * \brief Abstract class for input/ouput system
-    *
-    * An input/output system is generally used to describe a sensor, an actuator or a filter. \n
-    * These systems can be linked (for exemple a sensor with a filter), when an IODevice
-    * is created with a parent of type IODevice.
-    * In this case, an update of the parent's data will call an update
-    * of the child's data (for exemple when a sensor gets new datas, a filter is automatically called). \n
-    * Output of this object can also be sent to a shared memory using the OutputToShMem method; in order to use it with an
-    * external program.
-    */
-    class IODevice: public Object {
-        friend class ::IODevice_impl;
-        friend class ::Thread_impl;
-        friend class ::FrameworkManager_impl;
+/*! \class IODevice
+*
+* \brief Abstract class for input/ouput system
+*
+* An input/output system is generally used to describe a sensor, an actuator or
+*a filter. \n
+* These systems can be linked (for exemple a sensor with a filter), when an
+*IODevice
+* is created with a parent of type IODevice.
+* In this case, an update of the parent's data will call an update
+* of the child's data (for exemple when a sensor gets new datas, a filter is
+*automatically called). \n
+* Output of this object can also be sent to a shared memory using the
+*OutputToShMem method; in order to use it with an
+* external program.
+*/
+class IODevice : public Object {
+  friend class ::IODevice_impl;
+  friend class ::Thread_impl;
+  friend class ::FrameworkManager_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an IODevice of Object's type "IODevice" (see Object::ObjectType). \n
-            * If parent's Object::ObjectType is also "IODevice", this IODevice will be linked to its parent
-            * (see ProcessUpdate()).
-            *
-            * \param parent parent
-            * \param name name
-            */
-            IODevice(const Object* parent,std::string name);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an IODevice of Object's type "IODevice" (see Object::ObjectType).
+  *\n
+  * If parent's Object::ObjectType is also "IODevice", this IODevice will be
+  *linked to its parent
+  * (see ProcessUpdate()).
+  *
+  * \param parent parent
+  * \param name name
+  */
+  IODevice(const Object *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            virtual ~IODevice();
+  /*!
+  * \brief Destructor
+  *
+  */
+  virtual ~IODevice();
 
-            /*!
-            * \brief Add an IODevice to the logs
-            *
-            * The IODevice will be automatically logged among this IODevice logs,
-            * if logging is enabled (see SetDataToLog(), FrameworkManager::StartLog
-            * and FrameworkManager::AddDeviceToLog). \n
-            * Logging happens when ProcessUpdate() is called. \n
-            * Note that when an IODevice is just added for logs (ie. no parent/child
-            * link between the two IODevice),
-            * UpdateFrom() is not automatically called.
-            *
-            * \param device IODevice to log
-            */
-            void AddDeviceToLog(const IODevice* device);
+  /*!
+  * \brief Add an IODevice to the logs
+  *
+  * The IODevice will be automatically logged among this IODevice logs,
+  * if logging is enabled (see SetDataToLog(), FrameworkManager::StartLog
+  * and FrameworkManager::AddDeviceToLog). \n
+  * Logging happens when ProcessUpdate() is called. \n
+  * Note that when an IODevice is just added for logs (ie. no parent/child
+  * link between the two IODevice),
+  * UpdateFrom() is not automatically called.
+  *
+  * \param device IODevice to log
+  */
+  void AddDeviceToLog(const IODevice *device);
 
-            /*!
-            * \brief Add an io_data to the log
-            *
-            * The io_data will be automatically logged if enabled (see FrameworkManager::StartLog
-            * and FrameworkManager::AddDeviceToLog),
-            * during call to ProcessUpdate().
-            *
-            * \param data data to log
-            */
-            void AddDataToLog(const io_data* data);
+  /*!
+  * \brief Add an io_data to the log
+  *
+  * The io_data will be automatically logged if enabled (see
+  *FrameworkManager::StartLog
+  * and FrameworkManager::AddDeviceToLog),
+  * during call to ProcessUpdate().
+  *
+  * \param data data to log
+  */
+  void AddDataToLog(const io_data *data);
 
-            /*!
-            * \brief Send the output to a shared memory
-            *
-            * Use this method to output log datas to a shared memory.
-            * This can be usefull to get datas from an external progam. \n
-            * Output happens when ProcessUpdate() is called. \n
-            * The name and the structure of the shared memory will be displayed when
-            * this method is called with true as argument. \n
-            * By default it is not enabled.
-            *
-            *
-            * \param enabled true to enable the output, false otherwise
-            */
-            void OutputToShMem(bool enabled);
+  /*!
+  * \brief Send the output to a shared memory
+  *
+  * Use this method to output log datas to a shared memory.
+  * This can be usefull to get datas from an external progam. \n
+  * Output happens when ProcessUpdate() is called. \n
+  * The name and the structure of the shared memory will be displayed when
+  * this method is called with true as argument. \n
+  * By default it is not enabled.
+  *
+  *
+  * \param enabled true to enable the output, false otherwise
+  */
+  void OutputToShMem(bool enabled);
 
-            //TODO: these 2 method should be pure virtual
-            virtual DataType const &GetInputDataType() const;
-            virtual DataType const &GetOutputDataType() const;
+  // TODO: these 2 method should be pure virtual
+  virtual DataType const &GetInputDataType() const;
+  virtual DataType const &GetOutputDataType() const;
 
-        protected:
-            /*!
-            * \brief Process the childs of type IODevice, and log if needed
-            *
-            * This method must be called after computing datas;
-            * generally at the end of the reimplemented UpdateFrom or after acquiring datas in case of a sensor. \n
-            * It will call UpdateFrom methods of each child of type IODevice,
-            * and log all datas (this IODevice and its childs)
-            * if logging is enabled (see SetDataToLog(), AddDeviceToLog(),
-            * FrameworkManager::StartLog and FrameworkManager::AddDeviceToLog). \n
-            * If a thread is waiting on this IODevice (see Thread::WaitUpdate), it will be resumed.
-            *
-            * \param data data to process
-            */
-            void ProcessUpdate(io_data* data);
+protected:
+  /*!
+  * \brief Process the childs of type IODevice, and log if needed
+  *
+  * This method must be called after computing datas;
+  * generally at the end of the reimplemented UpdateFrom or after acquiring
+  *datas in case of a sensor. \n
+  * It will call UpdateFrom methods of each child of type IODevice,
+  * and log all datas (this IODevice and its childs)
+  * if logging is enabled (see SetDataToLog(), AddDeviceToLog(),
+  * FrameworkManager::StartLog and FrameworkManager::AddDeviceToLog). \n
+  * If a thread is waiting on this IODevice (see Thread::WaitUpdate), it will be
+  *resumed.
+  *
+  * \param data data to process
+  */
+  void ProcessUpdate(io_data *data);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * This method is automatically called by ProcessUpdate()
-            * of the Object::Parent's if its Object::ObjectType is "IODevice". \n
-            * This method must be reimplemented, in order to process the data from the parent.
-            *
-            * \param data data from the parent to process
-            */
-            virtual void UpdateFrom(const io_data *data)=0;
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * This method is automatically called by ProcessUpdate()
+  * of the Object::Parent's if its Object::ObjectType is "IODevice". \n
+  * This method must be reimplemented, in order to process the data from the
+  *parent.
+  *
+  * \param data data from the parent to process
+  */
+  virtual void UpdateFrom(const io_data *data) = 0;
 
-            class IODevice_impl* pimpl_;
-    };
+  class IODevice_impl *pimpl_;
+};
 
 } // end namespace core
